struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Amol Ghotankar <ghotankaru...@gmail.com>
Subject ASM library issue when upgrading struts2.3.20 from struts2.3.16.3
Date Sat, 24 Jan 2015 06:17:58 GMT
Hi,

I am using spring aop along with struts2

When using older version i.e struts2.3.16.3 my aop and project works
properly

Here is snapshot of my dependecy tree

[INFO] +- org.apache.struts:struts2-convention-plugin:jar:2.3.16.3:compile
[INFO] |  +- org.apache.commons:commons-lang3:jar:3.1:compile
[INFO] |  \- org.apache.struts:struts2-core:jar:2.3.16.3:compile
[INFO] |     +- org.apache.struts.xwork:xwork-core:jar:2.3.16.3:compile
[INFO] |     |  +- asm:asm:jar:3.3:compile
[INFO] |     |  \- asm:asm-commons:jar:3.3:compile
[INFO] |     |     \- asm:asm-tree:jar:3.3:compile
[INFO] |     +- org.freemarker:freemarker:jar:2.3.19:compile
[INFO] |     +- ognl:ognl:jar:3.0.6:compile
[INFO] |     |  \- javassist:javassist:jar:3.11.0.GA:compile
[INFO] |     +- commons-fileupload:commons-fileupload:jar:1.3.1:compile
[INFO] |     \- commons-io:commons-io:jar:2.2:compile
[INFO] +- org.apache.struts:struts2-spring-plugin:jar:2.3.16.3:compile
[INFO] |  +- org.springframework:spring-beans:jar:3.0.5.RELEASE:compile
[INFO] |  +- org.springframework:spring-core:jar:3.0.5.RELEASE:compile
[INFO] |  |  \- org.springframework:spring-asm:jar:3.0.5.RELEASE:compile
[INFO] |  +- org.springframework:spring-context:jar:3.0.5.RELEASE:compile
[INFO] |  |  +- org.springframework:spring-aop:jar:3.0.5.RELEASE:compile
[INFO] |  |  \-
org.springframework:spring-expression:jar:3.0.5.RELEASE:compile
[INFO] |  \- org.springframework:spring-web:jar:3.0.5.RELEASE:compile
[INFO] |     \- aopalliance:aopalliance:jar:1.0:compile

But same does not work when I update the struts2 to 2.3.20

[INFO] +- org.apache.struts:struts2-convention-plugin:jar:2.3.20:compile
[INFO] |  +- org.apache.commons:commons-lang3:jar:3.2:compile
[INFO] |  \- org.apache.struts:struts2-core:jar:2.3.20:compile
[INFO] |     +- org.apache.struts.xwork:xwork-core:jar:2.3.20:compile
[INFO] |     |  +- org.ow2.asm:asm:jar:5.0.2:compile
[INFO] |     |  \- org.ow2.asm:asm-commons:jar:5.0.2:compile
[INFO] |     |     \- org.ow2.asm:asm-tree:jar:5.0.2:compile
[INFO] |     +- org.freemarker:freemarker:jar:2.3.19:compile
[INFO] |     +- ognl:ognl:jar:3.0.6:compile
[INFO] |     |  \- javassist:javassist:jar:3.11.0.GA:compile
[INFO] |     +- commons-fileupload:commons-fileupload:jar:1.3.1:compile
[INFO] |     \- commons-io:commons-io:jar:2.2:compile
[INFO] +- org.apache.struts:struts2-spring-plugin:jar:2.3.20:compile
[INFO] |  +- org.springframework:spring-beans:jar:3.0.5.RELEASE:compile
[INFO] |  +- org.springframework:spring-core:jar:3.0.5.RELEASE:compile
[INFO] |  |  \- org.springframework:spring-asm:jar:3.0.5.RELEASE:compile
[INFO] |  +- org.springframework:spring-context:jar:3.0.5.RELEASE:compile
[INFO] |  |  +- org.springframework:spring-aop:jar:3.0.5.RELEASE:compile
[INFO] |  |  \-
org.springframework:spring-expression:jar:3.0.5.RELEASE:compile
[INFO] |  \- org.springframework:spring-web:jar:3.0.5.RELEASE:compile
[INFO] |     \- aopalliance:aopalliance:jar:1.0:compile

As the asm library looks to be have updated to 5.0.2


*Error that I get is class net.sf.cglib.core.DebuggingClassWriter overrides
final method visit*

This only happens when I using aop feature of spring and error comes during
runtime and not compile time.

I know this should be simple library dependecy issue, but not able to solve
it as cglib & asm are almost used everywhere else too.

Any suggestions of how to fix this?

-- 



*With Best Regards,*

Amol Ghotankar
Technical Lead
M: +91 9960 980 419 <http://www.cursivetech.com>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message